%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)
%define srcver %(echo %version | sed "s|0$||")
Name:          perl-XS-Parse-Keyword
Version:       0.440
Release:       1mamba
Summary:       XS::Parse::Keyword::Builder - build-time support for XS::Parse::Keyword
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/XS-Parse-Keyword-%{srcver}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-ExtUtils-CChecker
Requires:      perl >= %perl_major_ver

%description
XS::Parse::Keyword::Builder - build-time support for XS::Parse::Keyword.

%prep
%setup -q -n XS-Parse-Keyword-%{srcver}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install --destdir=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 0.440-1mamba
- automatic version update by autodist

* Fri Jul 19 2024 Automatic Build System <autodist@openmamba.org> 0.430-1mamba
- automatic version update by autodist

* Wed May 01 2024 Automatic Build System <autodist@openmamba.org> 0.420-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 0.410-1mamba
- automatic version update by autodist

* Wed Dec 06 2023 Automatic Build System <autodist@mambasoft.it> 0.390-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.380-1mamba
- update to 0.380

* Fri Jul 21 2023 Automatic Build System <autodist@mambasoft.it> 0.36-1mamba
- automatic version update by autodist

* Thu Jul 20 2023 Automatic Build System <autodist@mambasoft.it> 0.35-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 0.34-1mamba
- automatic version update by autodist

* Mon Jun 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-1mamba
- package created using the webbuild interface
